using IceCreamShopDataModels.Models;
using System.ComponentModel;

namespace IceCreamShopContracts.ViewModels
{
    public class ShopViewModel : IShopModel
    {
        public int Id { get; set; }

        [DisplayName("Название магазина")]
        public string ShopName { get; set; } = string.Empty;

        [DisplayName("Адрес")]
        public string Address { get; set; } = string.Empty;

        [DisplayName("Дата открытия")]
        public DateTime DateOpening { get; set; } = DateTime.Now;

        public Dictionary<int, (IIceCreamModel, int)> ShopIceCreams
        {
            get;
            set;
        } = new();

        [DisplayName("Максимальное количество мороженого")]
        public int IceCreamsMaximum { get; set; }
    }
}
